USE [fbOpenGraph]
GO

/****** Object:  Table [dbo].[fbsearchLog]    Script Date: 07/05/2012 14:22:27 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[fbsearchLog](
	[RunId] [int] IDENTITY(1,1) NOT NULL,
	[BatchId] [int] NULL,
	[RunDate] [datetime] NULL,
	[Keyword] [varchar](50) NULL,
	[HarvestedThisRun] [int] NULL,
	[TotalHarvested] [int] NULL,
	[RunTime] [float] NULL,
 CONSTRAINT [PK_fbsearchLog] PRIMARY KEY CLUSTERED 
(
	[RunId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

USE [fbOpenGraph]
GO

/****** Object:  Table [dbo].[SearchBank]    Script Date: 07/05/2012 14:22:39 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[SearchBank](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[run_id] [int] NULL,
	[fid] [varchar](250) NULL,
	[from_name] [varchar](250) NULL,
	[from_id] [bigint] NULL,
	[keyword] [varchar](50) NULL,
	[type] [varchar](50) NULL,
	[posted] [datetime] NULL,
	[message] [varchar](max) NULL,
	[story] [varchar](max) NULL,
	[link] [varchar](1500) NULL,
	[likes] [int] NULL,
	[comments] [int] NULL,
	[shares] [int] NULL,
	[harvested] [datetime] NULL,
	[page_likes] [int] NULL,
 CONSTRAINT [PK_SearchBank] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

USE [fbOpenGraph]
GO

/****** Object:  Table [dbo].[Searches]    Script Date: 07/05/2012 14:22:48 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Searches](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[run_id] [int] NULL,
	[fid] [varchar](250) NULL,
	[from_name] [varchar](250) NULL,
	[from_id] [bigint] NULL,
	[keyword] [varchar](50) NULL,
	[type] [varchar](50) NULL,
	[posted] [datetime] NULL,
	[message] [varchar](max) NULL,
	[story] [varchar](max) NULL,
	[link] [varchar](1500) NULL,
	[likes] [int] NULL,
	[comments] [int] NULL,
	[shares] [int] NULL,
	[harvested] [datetime] NULL,
	[page_likes] [int] NULL,
 CONSTRAINT [PK_Searches] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
